Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1572969 - Review Request: zipper - C++ wrapper around minizip compression library
Summary: Review Request: zipper - C++ wrapper around minizip compression library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1572970
TreeView+ depends on / blocked
 
Reported: 2018-04-29 10:49 UTC by Antonio T. (sagitter)
Modified: 2018-05-15 20:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-15 19:52:51 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Antonio T. (sagitter) 2018-04-29 10:49:45 UTC
Spec URL: http://copr-dist-git.fedorainfracloud.org/cgit/sagitter/ForTesting/zipper.git/plain/zipper.spe
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/sagitter/ForTesting/fedora-rawhide-x86_64/00746848-zipper/zipper-0.9.1-1.20170831giteee877a.fc29.src.rpm

Description:

Zipper's goal is to bring the power and simplicity of minizip to a more
object oriented/c++ user friendly library.
It was born out of the necessity of a compression library that would be
reliable, simple and flexible. 
By flexibility I mean supporting all kinds of inputs and outputs,
but specifically been able to compress into memory instead of been
restricted to file compression only, and using data from memory instead
of just files as well.

Features:
- Create zip in memory
- Allow files, vector and generic streams as input to zip
- File mappings for replacing strategies
  (overwrite if exists or use alternative name from mapping)
- Password protected zip
- Multi platform

Fedora Account System Username: sagitter

Comment 2 Robert-André Mauchin 🐧 2018-04-29 14:40:08 UTC
 - Is it not possible to unbundle minizip?

 - Some parts are GPL:

GPL
---
zipper/minizip/aes/fileenc.c
zipper/minizip/aes/fileenc.h
zipper/minizip/aes/hmac.c
zipper/minizip/aes/hmac.h
zipper/minizip/aes/prng.c
zipper/minizip/aes/prng.h
zipper/minizip/aes/pwd2key.c
zipper/minizip/aes/pwd2key.h
zipper/minizip/aes/sha1.c
zipper/minizip/aes/sha1.h

   Add it to License and add a comment explaining the breakdown of licenses

 - If bundled, the minizip version should be specified:

zipper.src:23: W: unversioned-explicit-provides bundled(minizip)



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "GPL", "Unknown or generated", "BSD (3
     clause)". 64 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/zipper/review-
     zipper/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: Static libraries in -static or -devel subpackage, providing -devel if
     present.
     Note: Package has .a files: zipper-static.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in zipper-
     devel , zipper-static
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: zipper-0.9.1-1.20170831giteee877a.fc29.x86_64.rpm
          zipper-devel-0.9.1-1.20170831giteee877a.fc29.x86_64.rpm
          zipper-static-0.9.1-1.20170831giteee877a.fc29.x86_64.rpm
          zipper-debuginfo-0.9.1-1.20170831giteee877a.fc29.x86_64.rpm
          zipper-debugsource-0.9.1-1.20170831giteee877a.fc29.x86_64.rpm
          zipper-0.9.1-1.20170831giteee877a.fc29.src.rpm
zipper.x86_64: W: spelling-error Summary(en_US) minizip -> mini zip, mini-zip, minimize
zipper.x86_64: W: spelling-error %description -l en_US minizip -> mini zip, mini-zip, minimize
zipper-devel.x86_64: W: no-documentation
zipper-static.x86_64: W: no-documentation
zipper-debugsource.x86_64: W: no-documentation
zipper.src: W: spelling-error Summary(en_US) minizip -> mini zip, mini-zip, minimize
zipper.src: W: spelling-error %description -l en_US minizip -> mini zip, mini-zip, minimize
zipper.src:23: W: unversioned-explicit-provides bundled(minizip)
zipper.src: W: invalid-url Source0: zipper-20170831giteee877ac7419eb08ecafd110d9187bc10bea483a.tar.gz
6 packages and 0 specfiles checked; 0 errors, 9 warnings.

Comment 4 Robert-André Mauchin 🐧 2018-04-30 13:34:30 UTC
Package approved.

Comment 5 Gwyn Ciesla 2018-04-30 18:46:45 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/zipper

Comment 6 Fedora Update System 2018-05-04 10:39:42 UTC
COPASI-4.23.184-2.fc27 libCombine-0.2.2-3.20180426git8902b68.fc27 zipper-0.9.1-3.20170831giteee877a.fc27 libsbml-5.16.0-7.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d516abc03f

Comment 7 Fedora Update System 2018-05-04 10:39:56 UTC
COPASI-4.23.184-2.fc28 libCombine-0.2.2-3.20180426git8902b68.fc28 zipper-0.9.1-3.20170831giteee877a.fc28 libsbml-5.16.0-7.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f4d4225641

Comment 8 Fedora Update System 2018-05-06 10:07:48 UTC
COPASI-4.23.184-2.fc28, libCombine-0.2.2-3.20180426git8902b68.fc28, libsbml-5.16.0-7.fc28, zipper-0.9.1-3.20170831giteee877a.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f4d4225641

Comment 9 Fedora Update System 2018-05-06 21:53:25 UTC
COPASI-4.23.184-2.fc27, libCombine-0.2.2-3.20180426git8902b68.fc27, libsbml-5.16.0-7.fc27, zipper-0.9.1-3.20170831giteee877a.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d516abc03f

Comment 10 Fedora Update System 2018-05-15 19:52:51 UTC
COPASI-4.23.184-2.fc27, libCombine-0.2.2-3.20180426git8902b68.fc27, libsbml-5.16.0-7.fc27, zipper-0.9.1-3.20170831giteee877a.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-05-15 20:05:29 UTC
COPASI-4.23.184-2.fc28, libCombine-0.2.2-3.20180426git8902b68.fc28, libsbml-5.16.0-7.fc28, zipper-0.9.1-3.20170831giteee877a.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.